/* -------------------------------------------------------
Vertex shader for shadow volume rendering.

This shader does nothing but transform vertices and pump them out
with no unnecessary calculations performed.

The projection matrix can be changed in order to support the specialized
ZP-Plus light frustum projection matrices.
--------------------------------------------------------- */

uniform mat4 projectionMatrix;

void main()
{	
	gl_Position = projectionMatrix * gl_ModelViewMatrix * gl_Vertex; //no mumbo jumbo here
} 
